#ifndef DC_HUB_H
#define DC_HUB_H

#include "hub_info.h"

#include <qobject.h>

class QProcess;

#include <vector>
using namespace std;

class dc_hub : public QObject
{
     Q_OBJECT
public:
     dc_hub();
     virtual ~dc_hub();
     
     void load_list_from_web();
     void load_list_from_disk();
     
     void load_running_hubs();
     
     vector<hub_info*>& get_hubs() { return hubs; }
     vector<hub_info*>& get_running_hubs() { return running; }
     const hub_info get_public_hub(int i) { return *hubs[i]; }
     const hub_info get_public_hub(const QString &ip);
     const hub_info get_running_hub(int i) { return *running[i]; }
     const hub_info get_running_hub(const QString &ip);
     static int getNumClients();
     
private:
     void load_list_from_process(const QString& process);
     void clear_list(vector<hub_info*> &l);
     
     vector<hub_info*> hubs;
     vector<hub_info*> running;
     
     QProcess *proc;
     
public slots:
     void readFromStdout();
     
signals:
     void got_list();
     
};

#endif
